Subject: [yang-doctors] [IANA #1196397] marking obsolete/deprecated values in YANG modules

From: "Sabrina Tanamal via RT" <[email-masked]>
Date: Mon, 03 May 2021 21:14:41 +0000

Dear YANG Doctors,

In the SAFI Values registry at https://www.iana.org/assignments/safi-namespace/, we recently marked value 7 Encapsulation SAFI as obsolete for RFC 9012. Do we also need to mark this as obsolete in the iana-routing-types YANG module?

If so, would the appropriate description be "Tunnel Encap SAFI (OBSOLETE)."?

Thanks,

Sabrina Tanamal
Senior IANA Services Specialist

---

From: Ladislav Lhotka <[email-masked]>
Date: Tue, 4 May 2021 08:38:21 +0200

> If so, would the appropriate description be "Tunnel Encap SAFI (OBSOLETE)."?

IMO, yes.

Lada

> _______________________________________________
> yang-doctors mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/yang-doctors
> 

-- 
Ladislav Lhotka
Head, CZ.NIC Labs
PGP Key ID: 0xB8F92B08A9F76C67

---

From: "Sabrina Tanamal via RT" <[email-masked]>
Date: Tue, 18 May 2021 15:54:28 +0000

Dear YANG Doctors,

Resending this message. In the SAFI Values registry at https://www.iana.org/assignments/safi-namespace/, we recently marked value 7 Encapsulation SAFI as obsolete for RFC 9012. Do we also need to mark this as obsolete in the iana-routing-types YANG module?

Thanks,

Sabrina Tanamal

On Mon May 03 21:14:41 2021, sabrina.tanamal wrote:
> Dear YANG Doctors,
> 
> In the SAFI Values registry at https://www.iana.org/assignments/safi-
> namespace/, we recently marked value 7 Encapsulation SAFI as obsolete
> for RFC 9012. Do we also need to mark this as obsolete in the iana-
> routing-types YANG module?
>

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 18 May 2021 18:45:55 +0200

Dear Sabrina,

the answer may depend on what the meaning of 'obsolete' is for
IANA. In YANG, we distinguish 'deprecated' from 'obsolete'
(RFC 7950):

   o  "deprecated" indicates an obsolete definition, but it permits
      new/continued implementation in order to foster interoperability
      with older/existing implementations.

   o  "obsolete" means that the definition is obsolete and SHOULD NOT be
      implemented and/or can be removed from implementations.

The question is whether the IANA obsolete value 7 is still in use in
the wild. If so, marking it 'deprecated' in YANG may be the right
move. If, however, the value 7 is in no use anymore, i.e., it is kind
of historic, then it may be justified to mark it as 'obsolete' in
YANG.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <https://www.jacobs-university.de/>

---

From: Ladislav Lhotka <[email-masked]>
Date: Tue, 18 May 2021 19:50:31 +0200

> of historic, then it may be justified to mark it as 'obsolete' in

According to RFC 8126:

Specific entries in a registry can be marked as "obsolete" (no longer in
use) [...]

So the obsolete status in YANG seems appropriate.

Lada